> For the complete documentation index, see [llms.txt](https://docs.tibero.com/prosync/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tibero.com/prosync/installation/directory-structure.md).

# ProSync 디렉토리 구조

ProSync 설치 후 `$PRS_HOME` 디렉토리는 아래 구조로 구성된다.\
각 디렉토리는 ProSync 실행 및 관리를 지원한다.

```bash
# tree 결과
├── bin
│   ├── olr_test
│   ├── prs_adm
│   ├── prs_agent
│   ├── prs_cm.sh
│   ├── prs_cred
│   ├── prs_dummy
│   ├── prs_ext
│   ├── prs_glob
│   ├── prs_oapply
│   ├── prs_oext
│   ├── prs_olob
│   ├── prs_pext
│   ├── prs_papply
│   ├── prs_pllob
│   ├── prs_pretty_instance_map
│   ├── prs_vf
│   └── tblr_test
├── client
│   └── lib
├── config
│   ├── templates
│   └── variant
├── install
│   ├── prs_backup.sh
│   ├── prs_common_agent.sh
│   ├── prs_common_dsn.sh
│   ├── prs_common.sh
│   ├── prs_common_topmap.sh
│   ├── prs_install_agent.sh
│   ├── prs_install.sh
│   ├── prs_meta.sh
│   ├── prs_util.sh
│   ├── scripts
│   └── templates
└── license
    └── oss_licenses
```

<table><thead><tr><th width="252.66668701171875">디렉토리</th><th>설명</th></tr></thead><tbody><tr><td><strong>bin</strong></td><td>ProSync 프로세스 바이너리 파일이 위치하는 디렉토리이다.</td></tr><tr><td><strong>client/lib</strong></td><td>프로세스 실행에 필요한 라이브러리 파일이 위치하는 디렉토리이다.</td></tr><tr><td><strong>config</strong></td><td>ProSync 실행에 필요한 설정 파일이 위치하는 디렉토리이다.</td></tr><tr><td><strong>config/templates</strong></td><td>환경설정 파일 템플릿들이 위치하는 디렉토리이다.</td></tr><tr><td><strong>install</strong></td><td>ProSync 설치에 필요한 파일이 위치하는 디렉토리이다.</td></tr><tr><td><strong>install/prs_install.cfg</strong></td><td>ProSync 설치 설정 파일이다.</td></tr><tr><td><strong>install/prs_install_agent.cfg</strong></td><td>Agent 프로세스 설치 설정 파일이다.</td></tr><tr><td><strong>install/prs_install.sh</strong></td><td>ProSync 설치 스크립트이다.</td></tr><tr><td><strong>install/prs_install_agent.sh</strong></td><td>Agent 프로세스 설치 스크립트이다.</td></tr><tr><td><strong>install/prs_common.sh</strong></td><td><code>prs_install.sh</code>에서 사용되는 공통 함수들을 모아놓은 스크립트이다.</td></tr><tr><td><strong>install/prs_common_agent.sh</strong></td><td><code>prs_install_agent.sh</code>에서 사용되는 공통 함수들을 모아놓은 스크립트이다.</td></tr><tr><td><strong>install/prs_common_dsn.sh</strong></td><td>ProSync 설치 시 DSN 관련 공통 함수들을 모아놓은 스크립트이다.</td></tr><tr><td><strong>install/prs_util.sh</strong></td><td>ProSync 설치 시 사용되는 유틸리티 함수들을 모아놓은 스크립트이다.</td></tr><tr><td><strong>install/prs_backup.sh</strong></td><td>ProSync 패치 시 백업 데이터를 생성하는 스크립트이다.</td></tr><tr><td><strong>install/prs_meta.sh</strong></td><td>ProSync 패치를 수행하는 스크립트이다.</td></tr><tr><td><strong>install/prs_obj_group1.list</strong></td><td>동기화 대상 테이블 정보가 담겨 있는 파일이다.</td></tr><tr><td><strong>install/scripts</strong></td><td>ProSync 설치에 필요한 SQL 파일들이 위치하는 디렉토리이다.</td></tr><tr><td><strong>install/templates</strong></td><td>ProSync의 설치 및 설정에 필요한 템플릿 파일들이 위치하는 디렉토리이다.</td></tr><tr><td><strong>license</strong></td><td>ProSync 라이선스 파일이 위치하는 디렉토리이다.</td></tr></tbody></table>

###


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tibero.com/prosync/installation/directory-structure.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
